<mat-card>
    <mat-card-header>
        <mat-card-title>Add List</mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <form>
            <mat-form-field>
                <input matInput placeholder="List name" [(ngModel)]="listname" type="text" name="addlist" required>
                <button class="close" *ngIf="listname" matSuffix mat-icon-button aria-label="Clear"
                    (click)="listname=''">
                    <mat-icon>close</mat-icon>
                </button>
            </mat-form-field>
        </form>
    </mat-card-content>
    <mat-dialog-actions align='end'>
        <app-button mat-dialog-close text="Cancel"></app-button>
        <app-button (click)="newList(listname)" text="Add List"> </app-button>
    </mat-dialog-actions>
</mat-card>